Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl.ah
Class ReadOnlyAttributeHandler

    java.lang.Object
      oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler

All Implemented Interfaces:
  AttributeHandler

Direct Known Subclasses:
  ChainedMethodAttributeHandler, CorePathAttributeHandler, DocumentDefinitionSizeAttributeHandler, MappedValueAttributeHandler, MediaTypeAttributeHandler, MethodAttributeHandler, MixedAttributeHandler, NameAttributeHandler, PermissionBitMappingAttributeHandler, PrimaryUserProfileAttributeHandler, TypeAttributeHandler

    public abstract class ReadOnlyAttributeHandler

extends java.lang.Object
implements AttributeHandler

Abstract implementation for read only attribute handlers. Only the read side methods need to be provided by subclasses.

Constructor Summary
`ReadOnlyAttributeHandler()`

Method Summary
`boolean` | `canUpdate(AttributeHandlerContext context)` This implementation always returns `false`.
`AttributeUpdater` | `setValue(AttributeHandlerContext context, java.lang.Object value)` This implementation always throws a `RuntimeException` because `canUpdate()` always returns `false` hence this method should never be called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.fdk.impl.AttributeHandler
`canHandle, getValue`

Constructor Detail

### ReadOnlyAttributeHandler

    public ReadOnlyAttributeHandler()

Method Detail

### canUpdate

    public final boolean canUpdate(AttributeHandlerContext context)

  Description copied from class: `ReadOnlyAttributeHandler`
  This implementation always returns `false`.

  Specified by:
    `canUpdate` in interface `AttributeHandler`
  Parameters:
    `context` - The context when this handler is called.

### setValue

    public final AttributeUpdater setValue(AttributeHandlerContext context,
                                           java.lang.Object value)

  Description copied from class: `ReadOnlyAttributeHandler`
  This implementation always throws a `RuntimeException` because `canUpdate()` always returns `false` hence this method should never be called.

  Specified by:
    `setValue` in interface `AttributeHandler`
  Parameters:
    `context` - The context when this handler is called.
    `value` - The value to set the attribute to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD